TCLAP::IgnoreRestVisitor Class Reference

A Visitor that tells the CmdLine to begin ignoring arguments after this one is parsed. More...

`#include <IgnoreRestVisitor.h>`

Inheritance diagram for TCLAP::IgnoreRestVisitor:
[legend]
Collaboration diagram for TCLAP::IgnoreRestVisitor:
[legend]

## Public Member Functions

| IgnoreRestVisitor ()
| Constructor. More...
void | visit ()
| Sets Arg::_ignoreRest. More...
Public Member Functions inherited from TCLAP::Visitor
| Visitor ()
| Constructor. More...
virtual | ~Visitor ()
| Destructor. More...

## Detailed Description

A Visitor that tells the CmdLine to begin ignoring arguments after this one is parsed.

Definition at line 37 of file IgnoreRestVisitor.h.

## Constructor & Destructor Documentation

## IgnoreRestVisitor()

TCLAP::IgnoreRestVisitor::IgnoreRestVisitor | ( |  | ) |

inline

Constructor.

Definition at line 44 of file IgnoreRestVisitor.h.

## Member Function Documentation

## visit()

void TCLAP::IgnoreRestVisitor::visit | ( |  | ) |

inline virtual

Sets Arg::_ignoreRest.

Implements TCLAP::Visitor.

Definition at line 49 of file IgnoreRestVisitor.h.

References TCLAP::Arg::beginIgnoring().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- IgnoreRestVisitor.h